Holger's Java API

## com.antelmann.util.revision
Interface RevisionVeto

    public interface RevisionVeto

allows to veto a revision before it is actually applied to the `Revisable` instance and before its listeners are informed

Since:
  23. Dezember 2007, 23:54
Author:
  Holger Antelmann

Method Summary
`void` `checkRevision(Revision revision)` if no Exception is thrown, the revision is deemed ok

Method Detail

### checkRevision

    void checkRevision(Revision revision)
                       throws IOException,
                              RevisionException

  if no Exception is thrown, the revision is deemed ok

  Throws:
    `IOException` - if a required resource could not be accessed to perform the check
    `RevisionException` - if the revision was rejected for some reason

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads